import { Series } from "./Series";
import { IHasCategoryModePreference } from "./IHasCategoryModePreference";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Type, Point } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Rect } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Geometry } from "igniteui-react-core";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ValueOverlay extends Series implements IHasCategoryModePreference {
    static $t: Type;
    constructor();
    ma: Axis;
    ms: number;
    mq: number;
    mr: number;
    mn: number;
    en(a: Point, b: boolean, c: boolean): number;
    mo(a: Point, b: Point): number;
    lv(a: Point, b: boolean, c: boolean): Point;
    e8(a: Point): number;
    fp(a: Point): any;
    c9(a: any): boolean;
    an(a: Axis): AxisRange;
    jm(a: boolean): void;
    mp(): number;
    m9(a: number, b: ValueOverlayView): void;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    protected j1(a: Rect, b: Rect): void;
    protected j0(a: Rect, b: Rect): void;
    protected h6(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected i7(a: any, b: string, c: any, d: any): void;
    ik(): void;
    h3(a: boolean, b: SeriesView): void;
    private mf;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    readonly categoryAxis: CategoryAxisBase;
    protected bf(): SeriesView;
    i2(a: SeriesView): void;
    private md;
    jn(a: Rect, b: RenderSurface): void;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    me: boolean;
    mc: (item: any) => string;
    nq: Brush;
    no: Brush;
    mt: number;
    np: Brush;
    readonly nr: Thickness;
    mj: number;
    ml: number;
    mk: number;
    mi: number;
    mm: number;
    ag(): Axis[];
    private mb;
    private mh;
    private mg;
    protected na(a: number, b: boolean): void;
    protected get_c6(): boolean;
    m5(a: number): string;
    readonly m7: string;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ValueOverlayView extends SeriesView {
    static $t: Type;
    constructor(a: ValueOverlay);
    private bw;
    protected a8(): void;
    protected a9(): void;
    bv(a: Geometry): void;
    bu(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
